### Enumeration

# Secret SchemaType

since: 0.18.6

#### Declaration

    enum Secret.SchemaType

#### Description [src]

Different types of schemas for storing secrets, intended for use with `secret_get_schema()`.

## `SECRET_SCHEMA_NOTE`

A predefined schema for personal passwords stored by the user in the password manager. This schema has no attributes, and the items are not meant to be used automatically by applications.

When used to search for items using this schema, it will only match items that have the same schema. Items stored via libgnome-keyring with the `GNOME_KEYRING_ITEM_NOTE` item type will match.

## `SECRET_SCHEMA_COMPAT_NETWORK`

A predefined schema that is compatible with items stored via the libgnome-keyring ‘network password’ functions. This is meant to be used by applications migrating from libgnome-keyring which stored their secrets as ‘network passwords’. It is not recommended that new code use this schema.

When used to search for items using this schema, it will only match items that have the same schema. Items stored via libgnome-keyring with the `GNOME_KEYRING_ITEM_NETWORK_PASSWORD` item type will match.

The following attributes exist in the schema:

### Attributes:

`user`: | The user name (string).
`domain`: | The login domain or realm (string).
`object`: | The object or path (string).
`protocol`: | The protocol (a string like ‘http’).
`port`: | The network port (integer).
`server`: | The hostname or server (string).
`authtype`: | The authentication type (string).

Available since: 0.18.6

#### Members

Name | Description
--- | ---
`SECRET_SCHEMA_TYPE_NOTE` | Personal passwords.
`SECRET_SCHEMA_TYPE_COMPAT_NETWORK` | Network passwords from older libgnome-keyring storage.